This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1252969 - [UX] No 'disk format options' should be displayed on New Template dialogue in case of ceph disks
[UX] No 'disk format options' should be displayed on New Template dialogue in...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Daniel Erez
Ori Gofen
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 11:34 EDT by Ori Gofen
Modified: 2016-03-10 10:11 EST (History)
9 users (show)

See Also:
Fixed In Version: 3.6.0-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:35:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
pic (127.95 KB, image/png)
2015-08-12 11:34 EDT, Ori Gofen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45476 master MERGED webadmin: make template - disable volume format for Cinder Never
oVirt gerrit 45562 ovirt-engine-3.6 MERGED webadmin: make template - disable volume format for Cinder Never

  None (edit)
Description Ori Gofen 2015-08-12 11:34:10 EDT
Created attachment 1062065 [details]
pic

Description of problem:
When having a VM with disks solely on ceph storage the option of choosing a vdisk format should be greyed out, as ceph storage supports only Raw type. 

Version-Release number of selected component (if applicable):
3.6

How reproducible:
100%

Steps to Reproduce:
1.open 'New Template' dialogue by clicking left mouse on a vm+ceph disks

Actual results:
a useless option is displayed

Expected results:
the option should be greyed out

Additional info:
see pic
Comment 1 Ori Gofen 2015-10-26 05:12:32 EDT
Verified on rhevm-3.6.0.2
Comment 2 Sandro Bonazzola 2015-11-04 06:35:50 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.